SNMP::Info::Layer7::HWGroup(3)

NAME
SNMP::Info::Layer7::HWGroup - SNMP Interface to HW Group devices

AUTHOR
Netdisco Developers

SYNOPSIS
 # Let SNMP::Info determine the correct subclass for you.
 my $hwgroup = new SNMP::Info(
                          AutoSpecify => 1,
                          Debug       => 1,
                          DestHost    => 'myhub',
                          Community   => 'public',
                          Version     => 2
                        )
    or die "Can't connect to DestHost.\n";

 my $class = $hwgroup->class();
 print "SNMP::Info determined this device to fall under subclass : $class\n";

DESCRIPTION
Provides abstraction to information obtainable from an HW Group device through SNMP. See inherited classes' documentation for inherited methods.

  Inherited Classes

SNMP::Info::Layer7

  Required MIBs
HWG-STE-MIB

  Inherited MIBs
See "Required MIBs" in SNMP::Info::Layer7 for its MIB requirements.

GLOBALS
These are methods that return scalar value from SNMP

#=head2 Overrides # #=over # #=item $hwgroup->vendor() # #Returns 'hwgroup' # #=item $hwgroup->os() # #Returns 'hwgroup' # #=item $hwgroup->os_ver() # #("lgpAgentDeviceFirmwareVersion.1") # #=item $hwgroup->model() # #("lgpAgentDeviceModel.1") # #=item $hwgroup->serial() # #("lgpAgentDeviceSerialNumber.1") # #=back

  Globals imported from SNMP::Info::Layer7
See "GLOBALS" in SNMP::Info::Layer7 for details.

TABLE METHODS

  Table Methods imported from SNMP::Info::Layer7
See "TABLE METHODS" in SNMP::Info::Layer7 for details.